import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TranslateModule } from '@ngx-translate/core';

import { OddsCrawlerFrontendCommonModule } from '@odds-crawler/common';
import { OddsCrawlerFrontendLayoutModule } from '@odds-crawler/layout';

import { COMPONENTS } from './component';
import { MainRoutingPageModule } from './main-routing.page.module';

@NgModule({
  imports: [
    CommonModule,
    TranslateModule,
    OddsCrawlerFrontendCommonModule,
    OddsCrawlerFrontendLayoutModule,
    MainRoutingPageModule
  ],
  declarations: [...COMPONENTS]
})
export class MainPageModule {}
